Analytics
Get Call Analytics
Retrieve comprehensive analytics and metrics for your voice calls
GET
/
details
Get Call Analytics
curl --request GET \
--url https://api.kallabot.com/details \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"calls": [
{
"call_sid": "CA1234567890abcdef1234567890abcdef",
"agent_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Customer Support Agent",
"account_id": "456e7890-e12b-34d5-a678-426614174111",
"from_number": "+14155551234",
"to_number": "+14155555678",
"duration": 120.5,
"recording_url": "https://api.twilio.com/recordings/RE1234567890",
"transcription": "Customer called about billing inquiry...",
"status": "completed",
"cost": 0.15,
"call_type": "outbound",
"created_at": "2024-01-15T10:30:00Z"
}
]
}{
"error": 123,
"message": "<string>"
}⌘I
Get Call Analytics
curl --request GET \
--url https://api.kallabot.com/details \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kallabot.com/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kallabot.com/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"calls": [
{
"call_sid": "CA1234567890abcdef1234567890abcdef",
"agent_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Customer Support Agent",
"account_id": "456e7890-e12b-34d5-a678-426614174111",
"from_number": "+14155551234",
"to_number": "+14155555678",
"duration": 120.5,
"recording_url": "https://api.twilio.com/recordings/RE1234567890",
"transcription": "Customer called about billing inquiry...",
"status": "completed",
"cost": 0.15,
"call_type": "outbound",
"created_at": "2024-01-15T10:30:00Z"
}
]
}{
"error": 123,
"message": "<string>"
}
